<?php
function x_8g($x_8h = Array(), $x_8i = Array()) { 
$x_2a = new kp_HtmlElements(); 
$x_8j = Array(); 
$x_8k = 0; 
$x_8l = 0; 
$x_8m = Array( 
'popup' => '<kerio:text id="lang_popup_desc" />', 
'referer' => '<kerio:text id="lang_referer_desc" />', 
'applet' => '<kerio:text id="lang_activex_desc" />', 
'script' => '<kerio:text id="lang_scripts_desc" />', 
'java' => '<kerio:text id="lang_applets_desc" />' 
); 
$x_8n = Array( 
'popup' => '<kerio:text id="lang_popup" />', 
'referer' => '<kerio:text id="lang_referer" />', 
'applet' => '<kerio:text id="lang_activex" />', 
'script' => '<kerio:text id="lang_scripts" />', 
'java' => '<kerio:text id="lang_applets" />' 
); 
$x_8o = 0; 
foreach ($x_8h as $x_69 => $x_8p) { 
$x_8k = 0; 
$x_8q = Array(); 
$x_8r = Array(); 
if (1 == $x_8i[$x_69]) { 
$x_8q[] = 'checked="checked"'; 
} 
if (1 == $x_8p) { 
$x_8q[] = 'disabled="disabled"'; 
} 
$x_8r[$x_8k]['data'] = $x_2a->kp_getInput('checkbox', 'wwwFilter[' . $x_69 . ']', '1', $x_8q, 'box' . $x_69); 
$x_8r[$x_8k]['properties'] = 'class="valueTD" rowspan="2" valign="top" align="center"'; 
$x_8k++; 
$x_8r[$x_8k]['data'] = '<label for="' . 'box' . $x_69 . '">' . $x_8n[$x_69] . '</label>'; 
$x_8r[$x_8k]['properties'] = 'class="captionTD"'; 
$x_8k++; 
if (1 == ($x_8o % 2)) { 
$x_8j[$x_8l]['properties'] = 'class="evenRow"'; 
} 
$x_8j[$x_8l]['data'] = $x_8r; 
unset($x_8r); 
$tmpArr = Array(); 
$x_8l++; 
$x_8r[$x_8k]['data'] = $x_8m[$x_69]; 
if ($x_8k != 0) { 
$x_8r[$x_8k]['properties'] = 'class="descriptionTD"'; 
} 
$x_8j[$x_8l]['data'] = $x_8r; 
if (1 == ($x_8o % 2)) { 
$x_8j[$x_8l]['properties'] = 'class="evenRow"'; 
} 
unset($x_8r); 
unset($x_8q); 
$x_8l++; 
$x_8o++; 
} 
$x_8j[$x_8l][0]['properties'] = 'colspan="3" class="noteTD"'; 
$x_8j[$x_8l][0]['data'] = '<span class="bold"><kerio:text id="lang_note" />:</span>


											<kerio:text id="lang_note_text" />'; 
$x_8l++; 
$x_8j[$x_8l][0]['properties'] = 'colspan="3" class="buttonTD"'; 
$x_8j[$x_8l][0]['data'] = $x_2a->kp_getInput('submit', '', '<kerio:text id="lang_save" />', 'class="button" style="margin-right: 20px;"'); 
return $x_8j; 
} 
function x_8s() { 
$x_2a = new kp_HtmlElements(); 
$x_8j = Array(); 
$x_8k = 0; 
$x_8l = 0; 
$x_8j[$x_8l][0]['properties'] = 'colspan="2" class="status" id="x_8t"'; 
$x_8j[$x_8l][0]['data'] = '&nbsp;'; 
$x_8l++; 
$x_8j[$x_8l][0]['properties'] = 'colspan="2" class="reason" id="x_8u"'; 
$x_8j[$x_8l][0]['data'] = '&nbsp;'; 
$x_8l++; 
$x_8j[$x_8l][0]['properties'] = 'class="descriptionTD" nowrap'; 
$x_8j[$x_8l][0]['data'] = '<kerio:text id="lang_old_password" />' . ':'; 
$x_8j[$x_8l][1]['properties'] = 'class="dataTD"'; 
$x_8j[$x_8l][1]['data'] = $x_2a->kp_getInput('password', 'x_47', '', 'class="bgWhite"', 'x_47'); 
$x_8l++; 
$x_8j[$x_8l][0]['properties'] = 'class="descriptionTD" nowrap'; 
$x_8j[$x_8l][0]['data'] = '<kerio:text id="lang_new_password" />' . ':'; 
$x_8j[$x_8l][1]['properties'] = 'class="dataTD"'; 
$x_8j[$x_8l][1]['data'] = $x_2a->kp_getInput('password', 'x_48', '', 'class="bgWhite"', 'x_48'); 
$x_8l++; 
$x_8j[$x_8l][0]['properties'] = 'class="descriptionTD" nowrap'; 
$x_8j[$x_8l][0]['data'] = '<kerio:text id="lang_retype_new" />' . ':'; 
$x_8j[$x_8l][1]['properties'] = 'class="dataTD"'; 
$x_8j[$x_8l][1]['data'] = $x_2a->kp_getInput('password', 'x_49', '', 'class="bgWhite"', 'x_49'); 
$x_8l++; 
$x_8j[$x_8l][0]['properties'] = 'colspan="2" class="noteTD"'; 
$x_8j[$x_8l][0]['data'] = '<span class="bold"><kerio:text id="lang_caution" />:</span>


											<kerio:text id="lang_caution_text2" />'; 
$x_8l++; 
$x_8j[$x_8l][0]['properties'] = 'colspan="2" class="buttonTD"'; 
$x_8j[$x_8l][0]['data'] = $x_2a->kp_getInput('submit', '', '<kerio:text id="changePasswordButton" />', 'class="button" style="margin-right: 20px;"'); 
return $x_8j; 
} 
function x_8v($x_8w = Array(), $x_8x = 'en', $x_8y = 'en') { 
$x_5c = Array(); 
if (is_array($x_8w) && !empty($x_8w)) { 
$x_3u = Array(); 
foreach ($x_8w as $x_8z) { 
$x_3u[x_4a('language-' . $x_8z)] = $x_8z; 
} 
$x_5c[] = Array('detect', 
x_4a('sett-lang-default') . ' (' . x_4a('language-' . $x_8y) . ')' 
); 
foreach ($x_3u as $x_90 => $x_8z) { 
$x_5c[] = Array($x_8z, $x_90); 
} 
} 
return $x_5c; 
} 
function x_91($x_33 = '') { 
$x_2a = new kp_HtmlElements(); 
$x_8j = Array(); 
$x_92 = x_8v( $x_33->x_93(), 
$x_33->x_94(), 
$x_33->x_95()); 
$x_96 = $x_33->x_94(); 
$x_92 = $x_2a->kp_getSelect( 'x_42', 
'x_42', 
$x_92, 
' style="display: block;"', 
$x_96); 
$x_8j[0][0]['properties'] = 'class="descriptionTD bold" nowrap'; 
$x_8j[0][0]['data'] = '<kerio:text id="sett-lang" />'; 
$x_8j[0][1]['properties'] = 'class="dataTD"'; 
$x_8j[0][1]['data'] = $x_92; 
$x_8j[1][0]['properties'] = 'colspan="2" class="buttonTD"'; 
$x_8j[1][0]['data'] = $x_2a->kp_getInput('submit', '', '<kerio:text id="lang_save" />', 'class="button" style="margin-right: 20px;"'); 
return $x_8j; 
} 
?>
